wlbk.net
当前位置:首页 >> jDk1.8 想改为1.6版本,环境变量改了还是没 >>

jDk1.8 想改为1.6版本,环境变量改了还是没

环境变量需要更改,首先两个版本的位置是否相同,其次两个版本的名称是否相同,如果位置相同,名称不同,那么在设置好的环境变量处把path中的jdk后面的版本号改成现有版本就可以了

Eclipse.exe同一文件夹下有一个Eclipse.ini 打开Eclipse.ini,你会看到类似这样的 openFile-vmC:/Program Files (x86)/Java/jre7/bin/javaw.exe--launcher.appendVmargs-vmargs-Dosgi.requiredJavaVersion=1.6-Xms40m-Xmx1024m 改成这样,即删除...

解决方案: 删除C:\Windows\System32目录下java.exe、javaw.exe、javaws.exe三个文件。 删除Path中C:\ProgramData\Oracle\Java\javapath配置

不管是Java 8,还是其它的7、9等,官方皆没有免安装 不过自己可以完全先安装,然后再把安装目录文件夹拷出来,然后再卸载(如果有虚拟机,建议在虚拟机里安装/卸载,因为它安装时同时会往其它地方写/改一些文件,如会在System32里放几个exe文件...

这样配,检查一下吧 1.打开我的电脑--属性--高级--环境变量 2.新建系统变量JAVA_HOME 和CLASSPATH 变量名:JAVA_HOME 变量值:C:\Program Files\Java\jdk1.7.0 变量名:CLASSPATH 变量值:.;%JAVA_HOME%\lib\dt.jar;%JAVA_HOME%\lib\tools.jar; ...

你执行一下where java看看结果~~~应该不是你这个路径的,在system32下边应该还有一个java javac命令,那个优先级比你这个高,path里边,把java的路径放到最前边~虽然表述的很混乱,但应该能解决你的问题~

安装几个版本的JDK 都无所谓, 你正常安装就行了, 关键的是配置JDK的环境变量, java_home的路径你配置的是哪个,那就使用哪个JDK 。 不管你安装几个JDK, 反正你的环境变量中只能配置一个, 也就是只能使用一个。

去官网下载一个最新的eclipse版本,4.4的,能满足你的要求

配置好环境变量 JAVA_HOME = C:\Program Files\Java\jdk1.7.0_25 CLASSPATH = .;%JAVA_HOME%\lib;%JAVA_HOME%\lib\tools.jar Path = ;%JAVA_HOME%\bin;%JAVA_HOME%\jre\bin; 找到环境变量"Path", 把"C:/ProgramData/Oracle/Java/javapath"去掉。...

在你的eclipse.ini的首行 增加 -vm D:/dev/jdk1.6.0_32/bin/javaw.exe 指向你的JDK为1.5或者更改 3.6的eclipse 不支持JDK1.4

网站首页 | 网站地图
All rights reserved Powered by www.wlbk.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com